Bug 97228 - Unable to identify CD-ROM format
Unable to identify CD-ROM format
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-11 13:33 EDT by Bill Merrill
Modified: 2007-04-18 12:54 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/tmp/syslog from failed install (7.54 KB, text/plain)
2003-06-24 12:31 EDT, jeff
no flags Details
/tmp/anaconda.log from failed install (4.05 KB, text/plain)
2003-06-24 12:32 EDT, jeff
no flags Details

  None (edit)
Description Bill Merrill 2003-06-11 13:33:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.2b)
Gecko/20021029 Phoenix/0.4

Description of problem:
I am trying to install Red Hat 9.0 Professional, and am failing. The server will
boot from the install CD, and will ask what language to use and the type of
keyboard, and then it will not go any further. It will keep reporting that there
is no RH on any CD-ROM device.

If I Alt-F4 to check what is going on in the background, I get the following
information:

(4)Unable to identify CD-ROM format.

If I Alt-F3, I can see several instances of:

Trying to mount device hda

Background information about server:

ProLiant ML350 Intel XeonTM Processor 2.20 GHz
3x 18GB Ultra3 SCSI 15,000 rpm Hard Drive - RAID5 configured.
Smart Array Controller
48x ATAPI/IDE CD-ROM
1Gig of RAM

I have been able to successfully install RH Enterprise 2.1 Standard on this same
server, with no issues.

I called customer support, and was given a few things to try, including making a
device driver floppy disk, which also did not work.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Boot from Install CD
2.Choose English for language, and us as keyboard type
3.Choose Local CD-ROM
    

Actual Results:  I get: Unable to identify CD-ROM format from alt-F4

Expected Results:  Successful installation.

Additional info:
Comment 1 Bill Merrill 2003-06-12 07:21:10 EDT
I was also able to install Redhat 8.0 on this same server. No problems whatsoever.
Comment 2 Michael Fulbright 2003-06-12 12:55:06 EDT
If you switch to VC2 (hit cntl-alt-f2) you will see a command prompt.

Insert a blank floppy, then do these commands:

mformat a:
mcopy /tmp/*log a:

and then attach syslog and anaconda.log to this bug report.
Comment 3 jeff 2003-06-24 12:28:02 EDT
I have encountered this problem on a Compaq ProLiant ML350 also.

Compaq ProLiant ML350
2x Intel Xeon 2.4GHz CPUs
Smart Array 642 RAID controller
IDE CD-ROM drive used for install

Install boots, but is unable to mount the installation CD-ROM.

Installer reports "CD Not Found: The Red Hat Linux CD was not found in any of
your CDROM drives. Please insert the Red Hat Linux CD and press OK to retry."

syslog running on VC4 reports "Unable to identify CD-ROM format."

CD-ROM is a CD-R, burned from an ISO with valid md5 checksum. CD-ROM passes
mediacheck in another machine.

Here is an excerpt from the install syslog:

<6>Uniform Multi-Platform E-IDE driver Revision: 7.00beta-2.4
<6>ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
<6>SvrWks CSB5: IDE controller at PCI slot 00:0f.1
<6>SvrWks CSB5: chipset revision 147
<6>SvrWks CSB5: not 100% native mode: will probe irqs later
<6>SvrWks CSB5: simplex device: DMA forced
<6>    ide0: BM-DMA at 0x2000-0x2007, BIOS settings: hda:pio, hdb:pio
<6>SvrWks CSB5: simplex device: DMA forced
<6>    ide1: BM-DMA at 0x2008-0x200f, BIOS settings: hdc:DMA, hdd:DMA
<4>hda: HL-DT-ST CD-ROM GCR-8480B, ATAPI CD/DVD-ROM drive
<4>hda: set_drive_speed_status: status=0x51 { DriveReady SeekComplete Error }
<4>hda: set_drive_speed_status: error=0x04
<4>ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
<4>hda: ATAPI 116X DVD-ROM DVD-R-RAM CD-R/RW drive, 65535kB Cache
<6>Uniform CD-ROM driver Revision: 3.12
<4>ide-floppy driver 0.99.newide
<4>ide-floppy driver 0.99.newide

Immediately following this comment, I will attach my full syslog and
anaconda.log to this bug.
Comment 4 jeff 2003-06-24 12:31:45 EDT
Created attachment 92592 [details]
/tmp/syslog from failed install

syslog as requested by msf@redhat.com. Boot install, follow prompts in attempt
to select CD-ROM install, receive error, change to HTTP install (to enable
shell on VC2), save file to floppy. Replaced internal hostnames in attachment
with "[DELETED-INTERNAL-HOST]".
Comment 5 jeff 2003-06-24 12:32:41 EDT
Created attachment 92593 [details]
/tmp/anaconda.log from failed install

anaconda.log as requested by msf@redhat.com. Boot install, follow prompts in
attempt to select CD-ROM install, receive error, change to HTTP install (to
enable shell on VC2), save file to floppy. Replaced Ethernet MAC addresses with
"[DELETED-MAC-ADDRESS]".
Comment 6 jeff 2003-06-24 14:07:11 EDT
This bug appears to be very similar to the following bugs:

87742 - (IDE SERVERWORKS)RedHat 9 device driver for CD drive has boot error on
Compaq ProLiant DL360

92162 - Unable to locate RedHat media on CDROM

96942 - installer can't find CD-ROM

Also, of note:

After completing the HTTP install, the CD-ROM can be mounted successfully.

Snippet from dmesg after install and subsequent boot(s):

Uniform Multi-Platform E-IDE driver Revision: 7.00beta-2.4
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
SvrWks CSB5: IDE controller at PCI slot 00:0f.1
SvrWks CSB5: chipset revision 147
SvrWks CSB5: not 100% native mode: will probe irqs later
SvrWks CSB5: simplex device: DMA forced
    ide0: BM-DMA at 0x2000-0x2007, BIOS settings: hda:pio, hdb:pio
SvrWks CSB5: simplex device: DMA forced
    ide1: BM-DMA at 0x2008-0x200f, BIOS settings: hdc:DMA, hdd:DMA
hda: HL-DT-ST CD-ROM GCR-8480B, ATAPI CD/DVD-ROM drive
hda: set_drive_speed_status: status=0x51 { DriveReady SeekComplete Error }
hda: set_drive_speed_status: error=0x04
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
ide-floppy driver 0.99.newide
ide-floppy driver 0.99.newide

Once the system is booted, I can mount the Red Hat Linux 9 install Disc 1. As a
simple test, I am also able to run an rpm --checksig /mnt/cdrom/RedHat/RPMS/*
with no device problems.

An HTTP install gets around the problem of the CD-ROM failing to mount during
install, but it doesn't get us the GUI install, and therefore no LVM setup at
time of install. Problem. Ideas welcome. :)
Comment 7 Michael Lessard 2003-07-03 13:05:15 EDT
Same thing for me, i want install on Proliant ML330, i have tried with Redhat 8,
and all is working, but not in 9 ... 
Comment 8 Jude T. Cruz 2003-07-03 22:02:06 EDT
I hit the exact problem on a Proliant ML370 G3 with 2GHz CPU . 2GB RAM, with a 
Smart Array 532 RAID Controller , 48x IDE CD-ROM Drive. The HP website for the 
G3 PLT Servers does not certify RH 9.0 yet. Installing thru HTTP is not a
good idea for new customers.  
Comment 9 Michael Fulbright 2003-07-14 12:38:11 EDT
This may be a kernel issue with the IDE chipset.
Comment 10 jeff 2003-08-25 16:22:37 EDT
POTENTIAL WORKAROUND: For us, an HTTP install was not an option due to our 
desire for LVM at install, and therefore a need for the GUI installer. We were 
able to complete an install from local CD-ROM drive (several weeks ago) by 
attaching a USB CD-ROM drive to the ProLiant ML350 G3. The USB CD-ROM drive was 
borrowed from an Acer laptop. After completing the install, we are able to use 
the ML350's IDE CD-ROM drive. You MAY need to pass the kernel an "hda=ide-scsi" 
option through your boot loader. We are currently passing this option, and I am 
unable to remove and reboot at this time to test functionality without that 
option being passed.
Comment 11 jeff 2003-08-25 16:27:33 EDT
CLARIFICATION: The USB CD-ROM drive was attached to the ML350 while powered off. 
The ML350 was powered on, and the internal IDE CD-ROM drive was used to boot 
from Red Hat Linux 9 install CD 1. At the point in the installer where you 
select a source medium to install from, CD 1 was removed from the IDE CD-ROM 
drive and placed in the USB CD-ROM drive. The installer found the media and we 
were able to complete the install, swapping CDs into the USB CD-ROM drive as 
prompted. After the install was complete, the USB CD-ROM drive was removed, and 
after our first boot we were able to use the IDE CD-ROM drive, subject to the 
possible need for the "hda=ide-scsi" option noted in my previous comment.
Comment 12 Joseph R. Erlewein 2003-08-26 09:35:25 EDT
Compaq DL360, G2: PIII-1.400 GHZ (single) 1024m RAM. 
Successful install using internal CDROM to boot. Media is not detected in the 
internal CDROM drive. Attached USB CDROM from a Compaq Armada Evo N610c and 
moved CD1 from internal drive to USB drive. Successful install. However, after 
booting once installed, problems accessing internal CDROM drive. No options 
were passed to kernel. USB CDROM is usable. Intend to test passing hda=ide-scsi 
to kernel in future to verify functionality of internal cdrom once installed. 
Comment 13 Joseph R. Erlewein 2003-08-26 11:36:23 EDT
more testing... 

+++++++++++++++++

'Timo Benk's rescue cd' boooted. (http://rescuecd.sourceforge.net/)
hda: CRN-8245B, ATAPI CD/DVD-ROM drive
scsi0: SCSI host adapter emulation for IDE ATAPI devices
  Vendor: COMPAQ    Model CRN-8245B     Rev:2.19
  Type:   CD-ROM                        ANSI SCSI revision: 02
Attached scsi CD-ROM sr0 at scsi0, channel 0, id 0, lun 0
sr0: scsi3-mmc drive: 24x/24x cd/rw xa/form2 cdda tray
Uniform CD-Rom driver Revision: 3.12

and sr0 is usable after boot from the cdrom (obviously, since that's where / 
is). 

++++++++++++++++

'core linux install CD' booted: 
boot: vmlinuz root=/dev/hda hda=ide-scsi
hda: CRN-8245B, ATAPI CD/DVD-ROM drive
hda: driver not present
VFS: Cannot open root device "hda" or 03:00
...panic...


'core linux install CD' booted (again): 
boot: vmlinuz root=/dev/sr0 sr0=ide-scsi
hda: CRN-8245B, ATAPI CD/DVD-ROM drive
hda: ATAPI 24X CD-ROM drive, 128kb Cache, DMA
Uniform CD-Rom driver Revision: 3.12
...panic... (i have no root and i want to scream)


'core linux install CD' booted (one more time): 
boot: vmlinuz root=/dev/hda sr0=ide-scsi
hda: CRN-8245B, ATAPI CD/DVD-ROM drive
hda: ATAPI 24X CD-ROM drive, 128kb Cache, DMA
Uniform CD-Rom driver Revision: 3.12
hda: command error: status=0x51 { DriveReady SeekComplete Error }
hda: command error: error=0x54
end_request: I/O error, dev 03:00 (hda), sector 148
ISOFS: unable to read i-node block
VFS: Mounted root (iso9660 filesystem) readonly.
...unable to open initial console...

+++++++++++++++++

RH9 cd booted
linux sr0=ide-scsi
(errors lost to screen scroll, unable to obtain console - /tmp/syslog from 
above looks VERY similar)
Unsuccessful

Comment 14 David D. Kilzer 2004-02-05 15:51:31 EST
I ran into the same problem with RH 9 not recognizing the IDE
CD-ROM drive on a new HP/Compaq DL380 G3.  I considered making
a new CD-ROM, but ended up using apt(1) and the procedure
outlined on this web page:

  Upgrade Red Hat 8.0 -> 9 via apt-get
  http://voidmain.is-a-geek.net/forums/viewtopic.php?t=384

You may find apt(1) for Red Hat and RPM-based distributions
on this web site:

  Fresh RPMS - Apt
  http://freshrpms.net/apt/

This page also tells how to create new CD-ROM images with
apt(1) meta-information on them.  (If you built a new
kernel for disc 1, then you could replace it at the same
time.)
Comment 15 Bugzilla owner 2004-09-30 11:41:07 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.